Skip to main content
GET
/
api
/
v2
/
external
/
inference
/
get
Get Dedicated Deployment
curl --request GET \
  --url https://api.example.com/api/v2/external/inference/get
import requests

url = "https://api.example.com/api/v2/external/inference/get"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v2/external/inference/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "hf_model_id": "<string>",
  "hardware_profile": "<string>",
  "min_replicas": 123,
  "max_replicas": 123,
  "current_replicas": 123,
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "replicas": [
    {
      "replica_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "healthy": true,
      "last_health_check": "2023-11-07T05:31:56Z",
      "node_id": "<string>",
      "fail_reason": "<string>"
    }
  ],
  "desired_replicas": 123,
  "target_rps": 123,
  "target_latency_p95_ms": 123,
  "stabilisation_window": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

authorization
string | null
X-User-Id
string | null

Query Parameters

deployment_id
string
required
include_terminated
boolean
default:false

Response

Successful Response

Response body for GET /api/v2/external/inference/get.

deployment_id
string<uuid>
required
hf_model_id
string
required
hardware_profile
string
required
min_replicas
integer
required
max_replicas
integer
required
current_replicas
integer
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
replicas
DeployReplicaInfo · object[]
required
desired_replicas
integer | null
target_rps
number | null
target_latency_p95_ms
number | null
stabilisation_window
integer | null